# Update a Job by short name

`PUT /lokta-lms/api/v1/jobs/short-name/{shortName}`

Updates a scheduled job, found by its short name.

Updates the details of a job.

## Parameters
- `shortName` (path, string, required): short-name

## Request body (application/json)
- `active` (boolean)
- `cronExpression` (string)
- `displayName` (string)

## Responses
- `200`: OK

## Example request (cURL)
```bash
curl -X PUT \
  'https://default.lokta.tech/lokta-lms/api/v1/jobs/short-name/{shortName}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "active": false,
  "cronExpression": "0 0 22 1/1 * ? *",
  "displayName": "Update loan Summary"
}'
```

Interactive: https://developer.lokta.ai/reference#operation/updateJobDetailByShortName
